/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/motion/nhfc-genom3/work/templates/ros/client/ros/nhfc_ros/msg/nhfc_ids_servo_s.msg
 *
 */


#ifndef NHFC_ROS_MESSAGE_NHFC_IDS_SERVO_S_H
#define NHFC_ROS_MESSAGE_NHFC_IDS_SERVO_S_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <nhfc_ros/nhfc_ids_servo_s_sat_s.h>
#include <nhfc_ros/nhfc_ids_servo_s_gain_s.h>
#include <nhfc_ros/nhfc_ids_servo_s_emerg_s.h>

namespace nhfc_ros
{
template <class ContainerAllocator>
struct nhfc_ids_servo_s_
{
  typedef nhfc_ids_servo_s_<ContainerAllocator> Type;

  nhfc_ids_servo_s_()
    : sat()
    , gain()
    , mass(0.0)
    , vmin(0.0)
    , vmax(0.0)
    , fmin(0.0)
    , fmax(0.0)
    , d(0.0)
    , kf(0.0)
    , c(0.0)
    , ramp(0.0)
    , emerg()  {
    }
  nhfc_ids_servo_s_(const ContainerAllocator& _alloc)
    : sat(_alloc)
    , gain(_alloc)
    , mass(0.0)
    , vmin(0.0)
    , vmax(0.0)
    , fmin(0.0)
    , fmax(0.0)
    , d(0.0)
    , kf(0.0)
    , c(0.0)
    , ramp(0.0)
    , emerg(_alloc)  {
    }



   typedef  ::nhfc_ros::nhfc_ids_servo_s_sat_s_<ContainerAllocator>  _sat_type;
  _sat_type sat;

   typedef  ::nhfc_ros::nhfc_ids_servo_s_gain_s_<ContainerAllocator>  _gain_type;
  _gain_type gain;

   typedef double _mass_type;
  _mass_type mass;

   typedef double _vmin_type;
  _vmin_type vmin;

   typedef double _vmax_type;
  _vmax_type vmax;

   typedef double _fmin_type;
  _fmin_type fmin;

   typedef double _fmax_type;
  _fmax_type fmax;

   typedef double _d_type;
  _d_type d;

   typedef double _kf_type;
  _kf_type kf;

   typedef double _c_type;
  _c_type c;

   typedef double _ramp_type;
  _ramp_type ramp;

   typedef  ::nhfc_ros::nhfc_ids_servo_s_emerg_s_<ContainerAllocator>  _emerg_type;
  _emerg_type emerg;




  typedef boost::shared_ptr< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> const> ConstPtr;

}; // struct nhfc_ids_servo_s_

typedef ::nhfc_ros::nhfc_ids_servo_s_<std::allocator<void> > nhfc_ids_servo_s;

typedef boost::shared_ptr< ::nhfc_ros::nhfc_ids_servo_s > nhfc_ids_servo_sPtr;
typedef boost::shared_ptr< ::nhfc_ros::nhfc_ids_servo_s const> nhfc_ids_servo_sConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace nhfc_ros

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'actionlib_msgs': ['/opt/openrobots/share/actionlib_msgs/msg'], 'std_msgs': ['/opt/openrobots/share/std_msgs/msg'], 'nhfc_ros': ['nhfc_ros/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
{
  static const char* value()
  {
    return "b402631ffc7635e0e4c3a2dd988baf18";
  }

  static const char* value(const ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xb402631ffc7635e0ULL;
  static const uint64_t static_value2 = 0xe4c3a2dd988baf18ULL;
};

template<class ContainerAllocator>
struct DataType< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
{
  static const char* value()
  {
    return "nhfc_ros/nhfc_ids_servo_s";
  }

  static const char* value(const ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# IDL struct ::nhfc::ids::servo_s\n\
nhfc_ids_servo_s_sat_s sat\n\
nhfc_ids_servo_s_gain_s gain\n\
float64 mass\n\
float64 vmin\n\
float64 vmax\n\
float64 fmin\n\
float64 fmax\n\
float64 d\n\
float64 kf\n\
float64 c\n\
float64 ramp\n\
nhfc_ids_servo_s_emerg_s emerg\n\
\n\
================================================================================\n\
MSG: nhfc_ros/nhfc_ids_servo_s_sat_s\n\
# IDL struct ::nhfc::ids::servo_s::sat_s\n\
float64 x\n\
float64 v\n\
float64 ix\n\
\n\
================================================================================\n\
MSG: nhfc_ros/nhfc_ids_servo_s_gain_s\n\
# IDL struct ::nhfc::ids::servo_s::gain_s\n\
float64 Kpxy\n\
float64 Kpz\n\
float64 Kqxy\n\
float64 Kqz\n\
float64 Kvxy\n\
float64 Kvz\n\
float64 Kwxy\n\
float64 Kwz\n\
float64 Kixy\n\
float64 Kiz\n\
\n\
================================================================================\n\
MSG: nhfc_ros/nhfc_ids_servo_s_emerg_s\n\
# IDL struct ::nhfc::ids::servo_s::emerg_s\n\
float64 descent\n\
float64 dx\n\
float64 dq\n\
float64 dv\n\
float64 dw\n\
";
  }

  static const char* value(const ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.sat);
      stream.next(m.gain);
      stream.next(m.mass);
      stream.next(m.vmin);
      stream.next(m.vmax);
      stream.next(m.fmin);
      stream.next(m.fmax);
      stream.next(m.d);
      stream.next(m.kf);
      stream.next(m.c);
      stream.next(m.ramp);
      stream.next(m.emerg);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct nhfc_ids_servo_s_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::nhfc_ros::nhfc_ids_servo_s_<ContainerAllocator>& v)
  {
    s << indent << "sat: ";
    s << std::endl;
    Printer< ::nhfc_ros::nhfc_ids_servo_s_sat_s_<ContainerAllocator> >::stream(s, indent + "  ", v.sat);
    s << indent << "gain: ";
    s << std::endl;
    Printer< ::nhfc_ros::nhfc_ids_servo_s_gain_s_<ContainerAllocator> >::stream(s, indent + "  ", v.gain);
    s << indent << "mass: ";
    Printer<double>::stream(s, indent + "  ", v.mass);
    s << indent << "vmin: ";
    Printer<double>::stream(s, indent + "  ", v.vmin);
    s << indent << "vmax: ";
    Printer<double>::stream(s, indent + "  ", v.vmax);
    s << indent << "fmin: ";
    Printer<double>::stream(s, indent + "  ", v.fmin);
    s << indent << "fmax: ";
    Printer<double>::stream(s, indent + "  ", v.fmax);
    s << indent << "d: ";
    Printer<double>::stream(s, indent + "  ", v.d);
    s << indent << "kf: ";
    Printer<double>::stream(s, indent + "  ", v.kf);
    s << indent << "c: ";
    Printer<double>::stream(s, indent + "  ", v.c);
    s << indent << "ramp: ";
    Printer<double>::stream(s, indent + "  ", v.ramp);
    s << indent << "emerg: ";
    s << std::endl;
    Printer< ::nhfc_ros::nhfc_ids_servo_s_emerg_s_<ContainerAllocator> >::stream(s, indent + "  ", v.emerg);
  }
};

} // namespace message_operations
} // namespace ros

#endif // NHFC_ROS_MESSAGE_NHFC_IDS_SERVO_S_H
