/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/motion/nhfc-genom3/work/templates/ros/client/ros/nhfc_ros/msg/or_t3d_vel.msg
 *
 */


#ifndef NHFC_ROS_MESSAGE_OR_T3D_VEL_H
#define NHFC_ROS_MESSAGE_OR_T3D_VEL_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace nhfc_ros
{
template <class ContainerAllocator>
struct or_t3d_vel_
{
  typedef or_t3d_vel_<ContainerAllocator> Type;

  or_t3d_vel_()
    : vx(0.0)
    , vy(0.0)
    , vz(0.0)
    , wx(0.0)
    , wy(0.0)
    , wz(0.0)  {
    }
  or_t3d_vel_(const ContainerAllocator& _alloc)
    : vx(0.0)
    , vy(0.0)
    , vz(0.0)
    , wx(0.0)
    , wy(0.0)
    , wz(0.0)  {
    }



   typedef double _vx_type;
  _vx_type vx;

   typedef double _vy_type;
  _vy_type vy;

   typedef double _vz_type;
  _vz_type vz;

   typedef double _wx_type;
  _wx_type wx;

   typedef double _wy_type;
  _wy_type wy;

   typedef double _wz_type;
  _wz_type wz;




  typedef boost::shared_ptr< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> const> ConstPtr;

}; // struct or_t3d_vel_

typedef ::nhfc_ros::or_t3d_vel_<std::allocator<void> > or_t3d_vel;

typedef boost::shared_ptr< ::nhfc_ros::or_t3d_vel > or_t3d_velPtr;
typedef boost::shared_ptr< ::nhfc_ros::or_t3d_vel const> or_t3d_velConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::nhfc_ros::or_t3d_vel_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace nhfc_ros

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'actionlib_msgs': ['/opt/openrobots/share/actionlib_msgs/msg'], 'std_msgs': ['/opt/openrobots/share/std_msgs/msg'], 'nhfc_ros': ['nhfc_ros/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
{
  static const char* value()
  {
    return "8848441b29a1bf8fd222cf62b36aa991";
  }

  static const char* value(const ::nhfc_ros::or_t3d_vel_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x8848441b29a1bf8fULL;
  static const uint64_t static_value2 = 0xd222cf62b36aa991ULL;
};

template<class ContainerAllocator>
struct DataType< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
{
  static const char* value()
  {
    return "nhfc_ros/or_t3d_vel";
  }

  static const char* value(const ::nhfc_ros::or_t3d_vel_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# IDL struct ::or::t3d::vel\n\
float64 vx\n\
float64 vy\n\
float64 vz\n\
float64 wx\n\
float64 wy\n\
float64 wz\n\
";
  }

  static const char* value(const ::nhfc_ros::or_t3d_vel_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.vx);
      stream.next(m.vy);
      stream.next(m.vz);
      stream.next(m.wx);
      stream.next(m.wy);
      stream.next(m.wz);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct or_t3d_vel_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::nhfc_ros::or_t3d_vel_<ContainerAllocator>& v)
  {
    s << indent << "vx: ";
    Printer<double>::stream(s, indent + "  ", v.vx);
    s << indent << "vy: ";
    Printer<double>::stream(s, indent + "  ", v.vy);
    s << indent << "vz: ";
    Printer<double>::stream(s, indent + "  ", v.vz);
    s << indent << "wx: ";
    Printer<double>::stream(s, indent + "  ", v.wx);
    s << indent << "wy: ";
    Printer<double>::stream(s, indent + "  ", v.wy);
    s << indent << "wz: ";
    Printer<double>::stream(s, indent + "  ", v.wz);
  }
};

} // namespace message_operations
} // namespace ros

#endif // NHFC_ROS_MESSAGE_OR_T3D_VEL_H
