/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/motion/nhfc-genom3/work/templates/ros/client/ros/nhfc_ros/srv/set_servo_geom.srv
 *
 */


#ifndef NHFC_ROS_MESSAGE_SET_SERVO_GEOMREQUEST_H
#define NHFC_ROS_MESSAGE_SET_SERVO_GEOMREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace nhfc_ros
{
template <class ContainerAllocator>
struct set_servo_geomRequest_
{
  typedef set_servo_geomRequest_<ContainerAllocator> Type;

  set_servo_geomRequest_()
    : d(0.0)
    , kf(0.0)
    , c(0.0)  {
    }
  set_servo_geomRequest_(const ContainerAllocator& _alloc)
    : d(0.0)
    , kf(0.0)
    , c(0.0)  {
    }



   typedef double _d_type;
  _d_type d;

   typedef double _kf_type;
  _kf_type kf;

   typedef double _c_type;
  _c_type c;




  typedef boost::shared_ptr< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> const> ConstPtr;

}; // struct set_servo_geomRequest_

typedef ::nhfc_ros::set_servo_geomRequest_<std::allocator<void> > set_servo_geomRequest;

typedef boost::shared_ptr< ::nhfc_ros::set_servo_geomRequest > set_servo_geomRequestPtr;
typedef boost::shared_ptr< ::nhfc_ros::set_servo_geomRequest const> set_servo_geomRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace nhfc_ros

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'nhfc_ros': ['nhfc_ros/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "653b70272cf7b298b29146f62c957b4d";
  }

  static const char* value(const ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x653b70272cf7b298ULL;
  static const uint64_t static_value2 = 0xb29146f62c957b4dULL;
};

template<class ContainerAllocator>
struct DataType< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "nhfc_ros/set_servo_geomRequest";
  }

  static const char* value(const ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "\n\
float64 d\n\
float64 kf\n\
float64 c\n\
";
  }

  static const char* value(const ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.d);
      stream.next(m.kf);
      stream.next(m.c);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct set_servo_geomRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::nhfc_ros::set_servo_geomRequest_<ContainerAllocator>& v)
  {
    s << indent << "d: ";
    Printer<double>::stream(s, indent + "  ", v.d);
    s << indent << "kf: ";
    Printer<double>::stream(s, indent + "  ", v.kf);
    s << indent << "c: ";
    Printer<double>::stream(s, indent + "  ", v.c);
  }
};

} // namespace message_operations
} // namespace ros

#endif // NHFC_ROS_MESSAGE_SET_SERVO_GEOMREQUEST_H
