/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/motion/nhfc-genom3/work/templates/ros/client/ros/nhfc_ros/srv/set_state.srv
 *
 */


#ifndef NHFC_ROS_MESSAGE_SET_STATEREQUEST_H
#define NHFC_ROS_MESSAGE_SET_STATEREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <nhfc_ros/or_t3d_pos.h>
#include <nhfc_ros/or_t3d_vel.h>
#include <nhfc_ros/or_t3d_acc.h>

namespace nhfc_ros
{
template <class ContainerAllocator>
struct set_stateRequest_
{
  typedef set_stateRequest_<ContainerAllocator> Type;

  set_stateRequest_()
    : pos()
    , vel()
    , acc()  {
    }
  set_stateRequest_(const ContainerAllocator& _alloc)
    : pos(_alloc)
    , vel(_alloc)
    , acc(_alloc)  {
    }



   typedef  ::nhfc_ros::or_t3d_pos_<ContainerAllocator>  _pos_type;
  _pos_type pos;

   typedef  ::nhfc_ros::or_t3d_vel_<ContainerAllocator>  _vel_type;
  _vel_type vel;

   typedef  ::nhfc_ros::or_t3d_acc_<ContainerAllocator>  _acc_type;
  _acc_type acc;




  typedef boost::shared_ptr< ::nhfc_ros::set_stateRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::nhfc_ros::set_stateRequest_<ContainerAllocator> const> ConstPtr;

}; // struct set_stateRequest_

typedef ::nhfc_ros::set_stateRequest_<std::allocator<void> > set_stateRequest;

typedef boost::shared_ptr< ::nhfc_ros::set_stateRequest > set_stateRequestPtr;
typedef boost::shared_ptr< ::nhfc_ros::set_stateRequest const> set_stateRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::nhfc_ros::set_stateRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace nhfc_ros

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'nhfc_ros': ['nhfc_ros/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::nhfc_ros::set_stateRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc_ros::set_stateRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc_ros::set_stateRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "3ba09155569eeea87d22cf1ecf2a1c06";
  }

  static const char* value(const ::nhfc_ros::set_stateRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x3ba09155569eeea8ULL;
  static const uint64_t static_value2 = 0x7d22cf1ecf2a1c06ULL;
};

template<class ContainerAllocator>
struct DataType< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "nhfc_ros/set_stateRequest";
  }

  static const char* value(const ::nhfc_ros::set_stateRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "\n\
or_t3d_pos pos\n\
or_t3d_vel vel\n\
or_t3d_acc acc\n\
\n\
================================================================================\n\
MSG: nhfc_ros/or_t3d_pos\n\
# IDL struct ::or::t3d::pos\n\
float64 x\n\
float64 y\n\
float64 z\n\
float64 qw\n\
float64 qx\n\
float64 qy\n\
float64 qz\n\
\n\
================================================================================\n\
MSG: nhfc_ros/or_t3d_vel\n\
# IDL struct ::or::t3d::vel\n\
float64 vx\n\
float64 vy\n\
float64 vz\n\
float64 wx\n\
float64 wy\n\
float64 wz\n\
\n\
================================================================================\n\
MSG: nhfc_ros/or_t3d_acc\n\
# IDL struct ::or::t3d::acc\n\
float64 ax\n\
float64 ay\n\
float64 az\n\
";
  }

  static const char* value(const ::nhfc_ros::set_stateRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.pos);
      stream.next(m.vel);
      stream.next(m.acc);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct set_stateRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::nhfc_ros::set_stateRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::nhfc_ros::set_stateRequest_<ContainerAllocator>& v)
  {
    s << indent << "pos: ";
    s << std::endl;
    Printer< ::nhfc_ros::or_t3d_pos_<ContainerAllocator> >::stream(s, indent + "  ", v.pos);
    s << indent << "vel: ";
    s << std::endl;
    Printer< ::nhfc_ros::or_t3d_vel_<ContainerAllocator> >::stream(s, indent + "  ", v.vel);
    s << indent << "acc: ";
    s << std::endl;
    Printer< ::nhfc_ros::or_t3d_acc_<ContainerAllocator> >::stream(s, indent + "  ", v.acc);
  }
};

} // namespace message_operations
} // namespace ros

#endif // NHFC_ROS_MESSAGE_SET_STATEREQUEST_H
